Cyberduck Mountain Duck CLI

#6821 closed enhancement (fixed)

Edit container metadata

Reported by: owen Owned by: dkocher
Priority: normal Milestone: 4.3
Component: openstack Version: Nightly Build
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Windows 7

Description

I am able to edit the metadata of files within containers successfully, but editing container metadata appears to be impossible. When I attempt to edit a container's metadata (to enable versioning for example) a "System.ArgumentOutOfRangeException" is thrown when I leave the metadata tab and return to it. Also, unlike editing file metadata the container is not immediately re-uploaded to the server like files are.

The Log Drawer does not display anything to reflect this issue.

To Reproduce:

  1. Add a header (any kind, it doesn't seem to matter) to a Rackspace Cloud Files Container.
  2. Note that container is not updated in the Log Drawer.
  3. Switch to another tab in the info window.
  4. Return to metadata tab.
  5. Receive error window and notice that the added header is now missing.

Attachments (1)

Capture.PNG (158.3 KB) - added by owen on Aug 17, 2012 at 12:04:08 PM.
Screenshot of exception window and main window where Log Drawer can be seen.

Download all attachments as: .zip

Change History (7)

Changed on Aug 17, 2012 at 12:04:08 PM by owen

Screenshot of exception window and main window where Log Drawer can be seen.

comment:1 Changed on Aug 17, 2012 at 6:53:50 PM by dkocher

  • Owner changed from dkocher to yla

comment:2 Changed on Aug 20, 2012 at 1:33:41 PM by yla

Exception fixed in r9637.

Support for container metadata will follow.

comment:3 Changed on Sep 25, 2012 at 5:28:19 PM by dkocher

  • Milestone changed from 4.2.2 to 4.3
  • Summary changed from Unable to edit container metadata with Rackspace Cloud Files to Edit container metadata
  • Type changed from defect to enhancement

comment:4 Changed on Oct 6, 2012 at 10:27:19 PM by dkocher

  • Owner changed from yla to dkocher
  • Status changed from new to assigned

comment:5 Changed on Nov 22, 2012 at 10:16:20 PM by dkocher

See also #6963.

comment:6 Changed on Nov 22, 2012 at 10:19:45 PM by dkocher

  • Milestone changed from 4.3 to 4.2.2
  • Resolution set to fixed
  • Status changed from assigned to closed

In r10598.

Note: See TracTickets for help on using tickets.
swiss made software